# norootforbuild

#
# spec file for package elx-lpfc version 11.4.142.21
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#


%define kernelversion %(rpm -q --qf "%%{version}-%%{release}" kernel-source)

Name:          elx-lpfc
BuildRequires: %kernel_module_package_buildreqs kernel-source
License:       GPL-2.0
Group:         System/Kernel
Summary:       Emulex lpfc driver for Fibre Channel HBAs and Universal CNAs
Version:       11.4.142.21
Release:	2.1
# Source tarfile is exactly as provided in source rpm attached to bsc#1051255
Source0:			lpfcdriver-4-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%define lpfcdriver	lpfcdriver-4

%define builddir	lpfcdriver-4-%{version}

%kernel_module_package

%description
Emulex lpfc Linux kernel driver module.
The LPFC driver sources are located in:
http://www.avagotech.com/support/oem/fc.
The GPG Public Key of digitally signed Emulex device drivers is located in:
http://www.avagotech.com/docs/1334566.

%package KMP
Summary: lpfc driver
Group: System/Kernel

%description KMP
This is one of the sub-packages for a specific kernel. All the
sub-packages will share the same summary, group, and description.

%prep
rm -rf %{buildroot}
%setup -a 0 -c %{builddir}
cd %{lpfcdriver}-%{version}
set -- *
mkdir source
mv "$@" source/
echo " " > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for driver_dir in %{lpfcdriver}-%{version} ; do
    cd $driver_dir
    for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
            M=$PWD/obj/$flavor \
            CONFIG_SCSI_LPFC=m CONFIG_SCSI_LPFC_IOCTLS=m \
            KERNELVERSION="%{kernelversion}-$flavor"
    done
    cd ..
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for driver_dir in %{lpfcdriver}-%{version} ; do
    cd $driver_dir
    for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
            M=$PWD/obj/$flavor KERNELVERSION="%{kernelversion}-$flavor"
    done
    cd ..
done

%clean
rm -rf %{buildroot}

%changelog
* Fri Aug 25 2017 Emulex Corporation <tech.support@emulex.com> 11.4.142.21
- Built driver for sles12sp
